Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xpath.res
Class XPATHErrorResources

    java.lang.Object
      |
      +--java.util.ResourceBundle
            |
            +--java.util.ListResourceBundle
                  |
                  +--org.apache.xalan.res.XSLResourceBundle
                        |
                        +--org.apache.xpath.res.XPATHErrorResources

Direct Known Subclasses:
  XPATHErrorResources_en

public class XPATHErrorResources
extends XSLResourceBundle

**For advanced use only** Set up error messages. We build a two dimensional array of message keys and message strings. In order to add a new message here, you need to first update the count of messages(MAX_CODE)or the count of warnings(MAX_WARNING). The array will be automatically filled in with the keys, but you need to fill in the actual message string. Follow the instructions below.

Field Summary
`static java.lang.String` | `BAD_CODE` **For advanced use only**
`static int` | `ER_AXES_NOT_ALLOWED` **For advanced use only**
`static int` | `ER_BOOLEAN_ARG_NO_LONGER_OPTIONAL` **For advanced use only**
`static int` | `ER_CANNOT_CREATE_URL` **For advanced use only**
`static int` | `ER_CANNOT_WRITE_TO_EMPTYNODELISTIMPL` **For advanced use only**
`static int` | `ER_CANT_CONVERT_TO_MUTABLENODELIST` **For advanced use only**
`static int` | `ER_CANT_CONVERT_TO_NODELIST` **For advanced use only**
`static int` | `ER_CANT_CONVERT_TO_NUMBER` **For advanced use only**
`static int` | `ER_CANT_CONVERT_TO_TYPE` **For advanced use only**
`static int` | `ER_CANT_HAVE_MORE_THAN_ONE_ROOT` **For advanced use only**
`static int` | `ER_CANT_OUTPUT_TEXT_BEFORE_DOC` **For advanced use only**
`static int` | `ER_CHILD_HAS_NO_OWNER_DOCUMENT` **For advanced use only**
`static int` | `ER_CHILD_HAS_NO_OWNER_DOCUMENT_ELEMENT` **For advanced use only**
`static int` | `ER_CONTEXT_HAS_NO_OWNERDOC` **For advanced use only**
`static int` | `ER_COULDNOT_BE_FORMATTED_TO_NUMBER` **For advanced use only**
`static int` | `ER_COULDNOT_CREATE_XMLPROCESSORLIAISON` **For advanced use only**
`static int` | `ER_COULDNOT_FIND_ENDOP_AFTER_OPLOCATIONPATH` **For advanced use only**
`static int` | `ER_COULDNOT_FIND_FUNCTION` **For advanced use only**
`static int` | `ER_COULDNOT_GET_VAR_NAMED` **For advanced use only**
`static int` | `ER_COUNT_TAKES_1_ARG` **For advanced use only**
`static int` | `ER_CREATEDOCUMENT_NOT_SUPPORTED` **For advanced use only**
`static int` | `ER_CURRENT_NOT_ALLOWED_IN_MATCH` **For advanced use only**
`static int` | `ER_CURRENT_TAKES_NO_ARGS` **For advanced use only**
`static int` | `ER_DIDNOT_FIND_XPATH_SELECT_EXP` **For advanced use only**
`static int` | `ER_DOCUMENT_REPLACED` **For advanced use only**
`static int` | `ER_DTM_CANNOT_HANDLE_NODES` **For advanced use only**
`static int` | `ER_EMPTY_EXPRESSION` **For advanced use only**
`static int` | `ER_ERROR_OCCURED` **For advanced use only**
`static int` | `ER_EXPECTED_BUT_FOUND` **For advanced use only**
`static int` | `ER_EXPECTED_DOUBLE_QUOTE` **For advanced use only**
`static int` | `ER_EXPECTED_MATCH_PATTERN` **For advanced use only**
`static int` | `ER_EXPECTED_SINGLE_QUOTE` **For advanced use only**
`static int` | `ER_EXTRA_ILLEGAL_TOKENS` **For advanced use only**
`static int` | `ER_FOUND_COMMA_BUT_NO_FOLLOWING_ARG` **For advanced use only**
`static int` | `ER_FOUND_COMMA_BUT_NO_PRECEDING_ARG` **For advanced use only**
`static int` | `ER_IGNORABLE_WHITESPACE_NOT_HANDLED` **For advanced use only**
`static int` | `ER_ILLEGAL_AXIS_NAME` **For advanced use only**
`static int` | `ER_ILLEGAL_VARIABLE_REFERENCE` **For advanced use only**
`static int` | `ER_INCORRECT_ARG_LENGTH` **For advanced use only**
`static int` | `ER_INCORRECT_PROGRAMMER_ASSERTION` **For advanced use only**
`static int` | `ER_INVALID_UTF16_SURROGATE` **For advanced use only**
`static int` | `ER_KEY_HAS_TOO_MANY_ARGS` **For advanced use only**
`static int` | `ER_LOCALNAME_HAS_TOO_MANY_ARGS` **For advanced use only**
`static int` | `ER_NAME_HAS_TOO_MANY_ARGS` **For advanced use only**
`static int` | `ER_NAMESPACEAXIS_NOT_IMPLEMENTED` **For advanced use only**
`static int` | `ER_NAMESPACEURI_HAS_TOO_MANY_ARGS` **For advanced use only**
`static int` | `ER_NORMALIZESPACE_HAS_TOO_MANY_ARGS` **For advanced use only**
`static int` | `ER_NUMBER_HAS_TOO_MANY_ARGS` **For advanced use only**
`static int` | `ER_OIERROR` **For advanced use only**
`static int` | `ER_PARSE_NOT_SUPPORTED` **For advanced use only**
`static int` | `ER_PATTERN_LITERAL_NEEDS_BE_QUOTED` **For advanced use only**
`static int` | `ER_PREDICATE_ILLEGAL_SYNTAX` **For advanced use only**
`static int` | `ER_PREFIX_MUST_RESOLVE` **For advanced use only**
`static int` | `ER_PROBLEM_IN_DTM_NEXTSIBLING` **For advanced use only**
`static int` | `ER_SAX_API_NOT_HANDLED` **For advanced use only**
`static int` | `ER_SETDOMFACTORY_NOT_SUPPORTED` **For advanced use only**
`static int` | `ER_STRING_HAS_TOO_MANY_ARGS` **For advanced use only**
`static int` | `ER_STRINGLENGTH_HAS_TOO_MANY_ARGS` **For advanced use only**
`static int` | `ER_TRANSLATE_TAKES_3_ARGS` **For advanced use only**
`static int` | `ER_UNKNOWN_AXIS` **For advanced use only**
`static int` | `ER_UNKNOWN_MATCH_OPERATION` **For advanced use only**
`static int` | `ER_UNKNOWN_NODETYPE` **For advanced use only**
`static int` | `ER_UNKNOWN_OPCODE` **For advanced use only**
`static int` | `ER_UNPARSEDENTITYURI_TAKES_1_ARG` **For advanced use only**
`static int` | `ER_UNSUPPORTED_ENCODING` **For advanced use only**
`static int` | `ER_XERCES_CANNOT_HANDLE_NODES` **For advanced use only**
`static int` | `ER_XERCES_PARSE_ERROR` **For advanced use only**
`static int` | `ER_XERCES_PARSE_ERROR_DETAILS` **For advanced use only**
`static int` | `ER_XPATH_READOBJECT` **For advanced use only**
`static java.lang.String` | `ERROR_HEADER` **For advanced use only**
`static java.lang.String` | `ERROR_RESOURCES` **For advanced use only**
`static java.lang.String` | `ERROR_STRING` **For advanced use only**
`static java.lang.String` | `ERROR_SUFFIX` **For advanced use only**
`static int` | `ERROR0000` **For advanced use only**
`static java.lang.String` | `FORMAT_FAILED` **For advanced use only**
`static int` | `MAX_CODE` **For advanced use only**
`static int` | `MAX_MESSAGES` **For advanced use only**
`static int` | `MAX_OTHERS` **For advanced use only**
`static int` | `MAX_WARNING` **For advanced use only**
`static java.lang.String` | `QUERY_HEADER` **For advanced use only**
`static java.lang.String` | `WARNING_HEADER` **For advanced use only**
`static java.lang.String` | `WARNING_SUFFIX` **For advanced use only**
`static int` | `WG_CANNOT_MAKE_URL_FROM` **For advanced use only**
`static int` | `WG_COULDNOT_FIND_FUNCTION` **For advanced use only**
`static int` | `WG_DONT_DO_ANYTHING_WITH_NS` **For advanced use only**
`static int` | `WG_EXPAND_ENTITIES_NOT_SUPPORTED` **For advanced use only**
`static int` | `WG_FUNCTION_TOKEN_NOT_FOUND` **For advanced use only**
`static int` | `WG_ILLEGAL_VARIABLE_REFERENCE` **For advanced use only**
`static int` | `WG_LOCALE_NAME_NOT_HANDLED` **For advanced use only**
`static int` | `WG_NEED_DERIVED_OBJECT_TO_IMPLEMENT_NODETEST` **For advanced use only**
`static int` | `WG_PROPERTY_NOT_SUPPORTED` **For advanced use only**
`static int` | `WG_QUO_NO_LONGER_DEFINED` **For advanced use only**
`static int` | `WG_SECURITY_EXCEPTION` **For advanced use only**
`static java.lang.String` | `XML_HEADER` **For advanced use only**
`static java.lang.String` | `XSL_HEADER` **For advanced use only**

Constructor Summary
`XPATHErrorResources()` **For advanced use only**

Method Summary
`java.lang.Object[][]` | `getContents()` **For advanced use only**
`java.lang.String` | `getMessageKey(int errorCode)` **For advanced use only** Get the error string associated with the error code
`static java.lang.String` | `getMKey(int errorCode)` **For advanced use only** Get the error string associated with the error code
`java.lang.String` | `getWarningKey(int errorCode)` **For advanced use only** Get the error string associated with the error code
`static java.lang.String` | `getWKey(int errorCode)` **For advanced use only** Get the error string associated with the error code
`static XPATHErrorResources` | `loadResourceBundle(java.lang.String className)` **For advanced use only** Return a named ResourceBundle for a particular locale.

Methods inherited from class java.util.ListResourceBundle
`getKeys, handleGetObject`

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ERROR_SUFFIX

    public static final java.lang.String ERROR_SUFFIX

### WARNING_SUFFIX

    public static final java.lang.String WARNING_SUFFIX

### MAX_CODE

    public static final int MAX_CODE

### MAX_WARNING

    public static final int MAX_WARNING

### MAX_OTHERS

    public static final int MAX_OTHERS

### MAX_MESSAGES

    public static final int MAX_MESSAGES

### ERROR0000

    public static final int ERROR0000

### ER_CURRENT_NOT_ALLOWED_IN_MATCH

    public static final int ER_CURRENT_NOT_ALLOWED_IN_MATCH

### ER_CURRENT_TAKES_NO_ARGS

    public static final int ER_CURRENT_TAKES_NO_ARGS

### ER_DOCUMENT_REPLACED

    public static final int ER_DOCUMENT_REPLACED

### ER_CONTEXT_HAS_NO_OWNERDOC

    public static final int ER_CONTEXT_HAS_NO_OWNERDOC

### ER_LOCALNAME_HAS_TOO_MANY_ARGS

    public static final int ER_LOCALNAME_HAS_TOO_MANY_ARGS

### ER_NAMESPACEURI_HAS_TOO_MANY_ARGS

    public static final int ER_NAMESPACEURI_HAS_TOO_MANY_ARGS

### ER_NORMALIZESPACE_HAS_TOO_MANY_ARGS

    public static final int ER_NORMALIZESPACE_HAS_TOO_MANY_ARGS

### ER_NUMBER_HAS_TOO_MANY_ARGS

    public static final int ER_NUMBER_HAS_TOO_MANY_ARGS

### ER_NAME_HAS_TOO_MANY_ARGS

    public static final int ER_NAME_HAS_TOO_MANY_ARGS

### ER_STRING_HAS_TOO_MANY_ARGS

    public static final int ER_STRING_HAS_TOO_MANY_ARGS

### ER_STRINGLENGTH_HAS_TOO_MANY_ARGS

    public static final int ER_STRINGLENGTH_HAS_TOO_MANY_ARGS

### ER_TRANSLATE_TAKES_3_ARGS

    public static final int ER_TRANSLATE_TAKES_3_ARGS

### ER_UNPARSEDENTITYURI_TAKES_1_ARG

    public static final int ER_UNPARSEDENTITYURI_TAKES_1_ARG

### ER_NAMESPACEAXIS_NOT_IMPLEMENTED

    public static final int ER_NAMESPACEAXIS_NOT_IMPLEMENTED

### ER_UNKNOWN_AXIS

    public static final int ER_UNKNOWN_AXIS

### ER_UNKNOWN_MATCH_OPERATION

    public static final int ER_UNKNOWN_MATCH_OPERATION

### ER_INCORRECT_ARG_LENGTH

    public static final int ER_INCORRECT_ARG_LENGTH

### ER_CANT_CONVERT_TO_NUMBER

    public static final int ER_CANT_CONVERT_TO_NUMBER

### ER_CANT_CONVERT_TO_NODELIST

    public static final int ER_CANT_CONVERT_TO_NODELIST

### ER_CANT_CONVERT_TO_MUTABLENODELIST

    public static final int ER_CANT_CONVERT_TO_MUTABLENODELIST

### ER_CANT_CONVERT_TO_TYPE

    public static final int ER_CANT_CONVERT_TO_TYPE

### ER_EXPECTED_MATCH_PATTERN

    public static final int ER_EXPECTED_MATCH_PATTERN

### ER_COULDNOT_GET_VAR_NAMED

    public static final int ER_COULDNOT_GET_VAR_NAMED

### ER_UNKNOWN_OPCODE

    public static final int ER_UNKNOWN_OPCODE

### ER_EXTRA_ILLEGAL_TOKENS

    public static final int ER_EXTRA_ILLEGAL_TOKENS

### ER_EXPECTED_DOUBLE_QUOTE

    public static final int ER_EXPECTED_DOUBLE_QUOTE

### ER_EXPECTED_SINGLE_QUOTE

    public static final int ER_EXPECTED_SINGLE_QUOTE

### ER_EMPTY_EXPRESSION

    public static final int ER_EMPTY_EXPRESSION

### ER_EXPECTED_BUT_FOUND

    public static final int ER_EXPECTED_BUT_FOUND

### ER_INCORRECT_PROGRAMMER_ASSERTION

    public static final int ER_INCORRECT_PROGRAMMER_ASSERTION

### ER_BOOLEAN_ARG_NO_LONGER_OPTIONAL

    public static final int ER_BOOLEAN_ARG_NO_LONGER_OPTIONAL

### ER_FOUND_COMMA_BUT_NO_PRECEDING_ARG

    public static final int ER_FOUND_COMMA_BUT_NO_PRECEDING_ARG

### ER_FOUND_COMMA_BUT_NO_FOLLOWING_ARG

    public static final int ER_FOUND_COMMA_BUT_NO_FOLLOWING_ARG

### ER_PREDICATE_ILLEGAL_SYNTAX

    public static final int ER_PREDICATE_ILLEGAL_SYNTAX

### ER_ILLEGAL_AXIS_NAME

    public static final int ER_ILLEGAL_AXIS_NAME

### ER_UNKNOWN_NODETYPE

    public static final int ER_UNKNOWN_NODETYPE

### ER_PATTERN_LITERAL_NEEDS_BE_QUOTED

    public static final int ER_PATTERN_LITERAL_NEEDS_BE_QUOTED

### ER_COULDNOT_BE_FORMATTED_TO_NUMBER

    public static final int ER_COULDNOT_BE_FORMATTED_TO_NUMBER

### ER_COULDNOT_CREATE_XMLPROCESSORLIAISON

    public static final int ER_COULDNOT_CREATE_XMLPROCESSORLIAISON

### ER_DIDNOT_FIND_XPATH_SELECT_EXP

    public static final int ER_DIDNOT_FIND_XPATH_SELECT_EXP

### ER_COULDNOT_FIND_ENDOP_AFTER_OPLOCATIONPATH

    public static final int ER_COULDNOT_FIND_ENDOP_AFTER_OPLOCATIONPATH

### ER_ERROR_OCCURED

    public static final int ER_ERROR_OCCURED

### ER_ILLEGAL_VARIABLE_REFERENCE

    public static final int ER_ILLEGAL_VARIABLE_REFERENCE

### ER_AXES_NOT_ALLOWED

    public static final int ER_AXES_NOT_ALLOWED

### ER_KEY_HAS_TOO_MANY_ARGS

    public static final int ER_KEY_HAS_TOO_MANY_ARGS

### ER_COUNT_TAKES_1_ARG

    public static final int ER_COUNT_TAKES_1_ARG

### ER_COULDNOT_FIND_FUNCTION

    public static final int ER_COULDNOT_FIND_FUNCTION

### ER_UNSUPPORTED_ENCODING

    public static final int ER_UNSUPPORTED_ENCODING

### ER_PROBLEM_IN_DTM_NEXTSIBLING

    public static final int ER_PROBLEM_IN_DTM_NEXTSIBLING

### ER_CANNOT_WRITE_TO_EMPTYNODELISTIMPL

    public static final int ER_CANNOT_WRITE_TO_EMPTYNODELISTIMPL

### ER_SETDOMFACTORY_NOT_SUPPORTED

    public static final int ER_SETDOMFACTORY_NOT_SUPPORTED

### ER_PREFIX_MUST_RESOLVE

    public static final int ER_PREFIX_MUST_RESOLVE

### ER_PARSE_NOT_SUPPORTED

    public static final int ER_PARSE_NOT_SUPPORTED

### ER_CREATEDOCUMENT_NOT_SUPPORTED

    public static final int ER_CREATEDOCUMENT_NOT_SUPPORTED

### ER_CHILD_HAS_NO_OWNER_DOCUMENT

    public static final int ER_CHILD_HAS_NO_OWNER_DOCUMENT

### ER_CHILD_HAS_NO_OWNER_DOCUMENT_ELEMENT

    public static final int ER_CHILD_HAS_NO_OWNER_DOCUMENT_ELEMENT

### ER_SAX_API_NOT_HANDLED

    public static final int ER_SAX_API_NOT_HANDLED

### ER_IGNORABLE_WHITESPACE_NOT_HANDLED

    public static final int ER_IGNORABLE_WHITESPACE_NOT_HANDLED

### ER_DTM_CANNOT_HANDLE_NODES

    public static final int ER_DTM_CANNOT_HANDLE_NODES

### ER_XERCES_CANNOT_HANDLE_NODES

    public static final int ER_XERCES_CANNOT_HANDLE_NODES

### ER_XERCES_PARSE_ERROR_DETAILS

    public static final int ER_XERCES_PARSE_ERROR_DETAILS

### ER_XERCES_PARSE_ERROR

    public static final int ER_XERCES_PARSE_ERROR

### ER_CANT_OUTPUT_TEXT_BEFORE_DOC

    public static final int ER_CANT_OUTPUT_TEXT_BEFORE_DOC

### ER_CANT_HAVE_MORE_THAN_ONE_ROOT

    public static final int ER_CANT_HAVE_MORE_THAN_ONE_ROOT

### ER_INVALID_UTF16_SURROGATE

    public static final int ER_INVALID_UTF16_SURROGATE

### ER_OIERROR

    public static final int ER_OIERROR

### ER_CANNOT_CREATE_URL

    public static final int ER_CANNOT_CREATE_URL

### ER_XPATH_READOBJECT

    public static final int ER_XPATH_READOBJECT

### WG_LOCALE_NAME_NOT_HANDLED

    public static final int WG_LOCALE_NAME_NOT_HANDLED

### WG_PROPERTY_NOT_SUPPORTED

    public static final int WG_PROPERTY_NOT_SUPPORTED

### WG_DONT_DO_ANYTHING_WITH_NS

    public static final int WG_DONT_DO_ANYTHING_WITH_NS

### WG_SECURITY_EXCEPTION

    public static final int WG_SECURITY_EXCEPTION

### WG_QUO_NO_LONGER_DEFINED

    public static final int WG_QUO_NO_LONGER_DEFINED

### WG_NEED_DERIVED_OBJECT_TO_IMPLEMENT_NODETEST

    public static final int WG_NEED_DERIVED_OBJECT_TO_IMPLEMENT_NODETEST

### WG_FUNCTION_TOKEN_NOT_FOUND

    public static final int WG_FUNCTION_TOKEN_NOT_FOUND

### WG_COULDNOT_FIND_FUNCTION

    public static final int WG_COULDNOT_FIND_FUNCTION

### WG_CANNOT_MAKE_URL_FROM

    public static final int WG_CANNOT_MAKE_URL_FROM

### WG_EXPAND_ENTITIES_NOT_SUPPORTED

    public static final int WG_EXPAND_ENTITIES_NOT_SUPPORTED

### WG_ILLEGAL_VARIABLE_REFERENCE

    public static final int WG_ILLEGAL_VARIABLE_REFERENCE

### BAD_CODE

    public static final java.lang.String BAD_CODE

### FORMAT_FAILED

    public static final java.lang.String FORMAT_FAILED

### ERROR_RESOURCES

    public static final java.lang.String ERROR_RESOURCES

### ERROR_STRING

    public static final java.lang.String ERROR_STRING

### ERROR_HEADER

    public static final java.lang.String ERROR_HEADER

### WARNING_HEADER

    public static final java.lang.String WARNING_HEADER

### XSL_HEADER

    public static final java.lang.String XSL_HEADER

### XML_HEADER

    public static final java.lang.String XML_HEADER

### QUERY_HEADER

    public static final java.lang.String QUERY_HEADER

Constructor Detail

### XPATHErrorResources

    public XPATHErrorResources()

Method Detail

### getContents

    public java.lang.Object[][] getContents()

### loadResourceBundle

    public static final XPATHErrorResources loadResourceBundle(java.lang.String className)
                                                        throws java.util.MissingResourceException

  **For advanced use only** Return a named ResourceBundle for a particular locale. This method mimics the behavior of ResourceBundle.getBundle().
  Parameters:
    `res` - the name of the resource to load.
    `locale` - the locale to prefer when searching for the bundle
  Returns:
    the ResourceBundle
  Throws:
    java.util.MissingResourceException -

### getMessageKey

    public java.lang.String getMessageKey(int errorCode)

  **For advanced use only** Get the error string associated with the error code
  Overrides:
    getMessageKey in class XSLResourceBundle

### getWarningKey

    public java.lang.String getWarningKey(int errorCode)

  **For advanced use only** Get the error string associated with the error code
  Overrides:
    getWarningKey in class XSLResourceBundle

### getMKey

    public static java.lang.String getMKey(int errorCode)

  **For advanced use only** Get the error string associated with the error code

### getWKey

    public static java.lang.String getWKey(int errorCode)

  **For advanced use only** Get the error string associated with the error code

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.